雑種のポメラニアン

フリープログラマーの日記とか人生観とか綴るよ

VisualMigrateをgemに登録してみました

昨日のブログもじわじわアクセスが増えてて、ちょっと嬉しい。
で、Gemfileへの書き込みが多すぎて、ちょっと変だなと思ってたら
gemに登録すると、パッケージの依存関係を解決してくれるらしいことが分かったので
早速やってみました。

結果的にGemfileへの追記は


group :development do
gem 'visual_migrate', '~> 4.0.1.0'
end

だけで良くなりました。
バージョン番号はRailsのバージョンに一桁足してます。

しかし、gemにはgem特有の問題があってgem yank(公開の取り消し)しまくりで
今日一気に4つくらいバージョンアップしちゃいましたよ。
誰にも気付かれてないと思うが、なんか恥ずかしい・・・